Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 23 Jul 2021 09:24:07 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Worst service ever, I will never use splash again in my whole life even will not suggest to shop from splash again.. I placed return request on 7 july still no one came to collect order and i called call center 5-6 times every time they said within two days delivery guy will pickup order.. i told customer service agent i need to talk to mr.ali who is manager he told me he will call you back but still last 2 days I’m only, i will share this incident on all social media what services your provide to your customers just playing with your customers i will put on Twitter and Facebook also about your services. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2893713